#!/usr/bin/env python3

__author__="Nayely Martinez (nayely.e.martinez@gmail.com"
__date__="04 Aug 2014"

import sys
import math

def breakDoc():
	nToBreakInto = int(sys.argv[2])
	fLength = 0
	with open(sys.argv[1]) as f:
		for line in f:
			fLength += 1

	nLinesInEach = int(math.ceil(float(fLength)/nToBreakInto))

	with open(sys.argv[1]) as f:
		for i in range(nToBreakInto):
			with open(sys.argv[3 + i], "w") as w:
				
				startIndex = i * nLinesInEach
				for index, line in enumerate(f, start = i * nLinesInEach):
					w.write(line)

					if index == (startIndex + nLinesInEach - 1): # if reached max lines in doc, stop writing in doc and break
						break

breakDoc()
